curl --request GET \
--url https://test.didxtech.com/me-creds/api/presets/presentations \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "didx:basic-identity-request",
"author": "didx",
"code": "basic-identity-request",
"templateName": "Basic Identity Request",
"templateDescription": "Standard request for basic identity information",
"templateCredentials": [
{
"format": "sd-jwt-vc",
"name": "Basic Identity Credential",
"description": "A credential containing basic identity information",
"type": "https://didx.co.za/vct/didx/basic-identity",
"attributes": {
"firstName": {
"type": "string"
},
"lastName": {
"type": "string"
}
}
},
{
"format": "mdoc",
"name": "Mobile Driving Licence",
"description": "ISO 18013-5 mDL credential",
"type": "org.iso.18013.5.1.mDL",
"trustedIssuers": [],
"attributes": {
"org.iso.18013.5.1": {
"properties": {
"given_name": {
"intentToRetain": false
},
"family_name": {
"intentToRetain": false
}
}
}
}
}
],
"verifierConfig": {
"signer": "did:web"
},
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z"
}
],
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}curl --request GET \
--url https://test.didxtech.com/me-creds/api/presets/presentations \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "didx:basic-identity-request",
"author": "didx",
"code": "basic-identity-request",
"templateName": "Basic Identity Request",
"templateDescription": "Standard request for basic identity information",
"templateCredentials": [
{
"format": "sd-jwt-vc",
"name": "Basic Identity Credential",
"description": "A credential containing basic identity information",
"type": "https://didx.co.za/vct/didx/basic-identity",
"attributes": {
"firstName": {
"type": "string"
},
"lastName": {
"type": "string"
}
}
},
{
"format": "mdoc",
"name": "Mobile Driving Licence",
"description": "ISO 18013-5 mDL credential",
"type": "org.iso.18013.5.1.mDL",
"trustedIssuers": [],
"attributes": {
"org.iso.18013.5.1": {
"properties": {
"given_name": {
"intentToRetain": false
},
"family_name": {
"intentToRetain": false
}
}
}
}
}
],
"verifierConfig": {
"signer": "did:web"
},
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z"
}
],
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.